<!DOCTYPE html>
<html lang="en-us">
  <meta charset="UTF-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <meta http-equiv="X-UA-Compatible" content="ie=edge" />
  <meta itemprop="name" content="Faraz Jawed" />
  <meta itemprop="description" content="" />

  <link rel="apple-touch-icon" sizes="180x180" href="https://static-website-week1-fj49-fj49-d21349748027f6102aaf961ffe76bdc0.gitlab.io/apple-touch-icon.png"/>
  <link rel="icon" type="image/png" sizes="32x32" href="https://static-website-week1-fj49-fj49-d21349748027f6102aaf961ffe76bdc0.gitlab.io/favicon-32x32.png" />
  <link
    rel="icon"
    type="image/png"
    sizes="16x16"
    href="https://static-website-week1-fj49-fj49-d21349748027f6102aaf961ffe76bdc0.gitlab.io/favicon-16x16.png"
  />
  <link
    rel="shortcut icon"
    href="https://static-website-week1-fj49-fj49-d21349748027f6102aaf961ffe76bdc0.gitlab.io/favicon.ico"
  />
  <link rel="stylesheet" href="https://static-website-week1-fj49-fj49-d21349748027f6102aaf961ffe76bdc0.gitlab.io/style.css"/>
  
  <title>NBA Live Commentary</title>
  

  

  <body id="page">

	
<header id="site-header" class="animated slideInUp faster">
  <div class="hdr-wrapper section-inner">
    <div class="hdr-left">
      <div class="site-branding">
        <a href="https:&#x2F;&#x2F;static-website-week1-fj49-fj49-d21349748027f6102aaf961ffe76bdc0.gitlab.io">Faraz Jawed</a>
      </div>
      <nav class="site-nav hide-in-mobile">
            
        
        <a href="https://static-website-week1-fj49-fj49-d21349748027f6102aaf961ffe76bdc0.gitlab.io/projects">Projects</a>
        
        <a href="https://static-website-week1-fj49-fj49-d21349748027f6102aaf961ffe76bdc0.gitlab.io/about">About</a>
        
      </nav>
    </div>
    <div class="hdr-right hdr-icons">
      <span class="hdr-social hide-in-mobile">
        

<a href="https:&#x2F;&#x2F;twitter.com" target="_blank" rel="noopener me"
   title="twitter">
  
  <svg xmlns="http://www.w3.org/2000/svg" class="feather" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"><path d="M23 3a10.9 10.9 0 0 1-3.14 1.53 4.48 4.48 0 0 0-7.86 3v1A10.66 10.66 0 0 1 3 4s-4 9 5 13a11.64 11.64 0 0 1-7 2c9 5 20 0 20-11.5a4.5 4.5 0 0 0-.08-.83A7.72 7.72 0 0 0 23 3z"></path></svg>
  
</a>

<a href="https:&#x2F;&#x2F;github.com&#x2F;farazjawedd" target="_blank" rel="noopener me"
   title="github">
  
  <svg xmlns="http://www.w3.org/2000/svg" class="feather" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"><path d="M9 19c-5 1.5-5-2.5-7-3m14 6v-3.87a3.37 3.37 0 0 0-.94-2.61c3.14-.35 6.44-1.54 6.44-7A5.44 5.44 0 0 0 20 4.77 5.07 5.07 0 0 0 19.91 1S18.73.65 16 2.48a13.38 13.38 0 0 0-7 0C6.27.65 5.09 1 5.09 1A5.07 5.07 0 0 0 5 4.77a5.44 5.44 0 0 0-1.5 3.78c0 5.42 3.3 6.61 6.44 7A3.37 3.37 0 0 0 9 18.13V22"></path></svg>
  
</a>

<a href="mailto:faraz.jawed@duke.edu" target="_blank" rel="noopener me"
   title="email">
  
  <svg xmlns="http://www.w3.org/2000/svg" class="feather" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"><path d="M4 4h16c1.1 0 2 .9 2 2v12c0 1.1-.9 2-2 2H4c-1.1 0-2-.9-2-2V6c0-1.1.9-2 2-2z"></path><polyline points="22,6 12,13 2,6"></polyline></svg>
  
</a>


      </span>
      <button id="menu-btn" class="hdr-btn" title="Menu">
        <svg
          xmlns="http://www.w3.org/2000/svg"
          width="24"
          height="24"
          viewBox="0 0 24 24"
          fill="none"
          stroke="currentColor"
          stroke-width="2"
          stroke-linecap="round"
          stroke-linejoin="round"
          class="feather feather-menu"
        >
          <line x1="3" y1="12" x2="21" y2="12"></line>
          <line x1="3" y1="6" x2="21" y2="6"></line>
          <line x1="3" y1="18" x2="21" y2="18"></line>
        </svg>
      </button>
    </div>
  </div>
</header>
<div id="mobile-menu" class="animated fast">
  <ul>
    
    <li><a href="https://static-website-week1-fj49-fj49-d21349748027f6102aaf961ffe76bdc0.gitlab.io/projects">Projects</a></li>
    
    <li><a href="https://static-website-week1-fj49-fj49-d21349748027f6102aaf961ffe76bdc0.gitlab.io/about">About</a></li>
    
  </ul>
</div>

	
	

		
<main class="site-main section-inner animated fadeIn faster">
  <article class="thin">
	<header class="post-header">
	  <div class="post-meta">
		
		<span>Oct 16, 2023</span>
		<small> - 
<span class="reading-time" title="Estimated read time">
  
  1 min read
  
</span>
</small>
		
            
	  </div>
	  <h1>NBA Live Commentary</h1>
	</header>

	<div class="content">
        
	  <h2 id="demo">Demo</h2>
<p><a href="https://www.youtube.com/watch?v=ZzF3iewrsoo&amp;feature=youtu.be">Click here for the live demo</a></p>
<h2 id="project-source-code">Project source code</h2>
<p><a href="https://github.com/farazjawedd/NBA_Commentary_AI">Github</a></p>
<h2 id="technical-overview">Technical Overview</h2>
<p>The NBA Live Commentary Generator is an innovative project that combines real-time data, advanced language generation, and API integration to offer dynamic commentary during NBA games.</p>
<h3 id="api-integration">API Integration</h3>
<ul>
<li><strong>NBA Stats API:</strong> Leveraging the NBA Stats API for live play-by-play data, player statistics, and season/career insights, forming the backbone of our data-driven commentary.</li>
<li><strong>SportRadar API:</strong> Complementing with SportRadar API for additional sports-related data, including player biographies, team information, and historical statistics.</li>
</ul>
<h3 id="data-management">Data Management</h3>
<ul>
<li><strong>Faiss Vector Database:</strong> Utilizing Faiss for efficient storage and retrieval of context information, keeping the commentary relevant and insightful.</li>
<li><strong>Langchain Technology:</strong> Integrated for persisting contextual data and chaining together context of current and past events.</li>
</ul>
<h3 id="audio-integration">Audio Integration</h3>
<ul>
<li><strong>Google Cloud API:</strong> Using Google Cloud's speech-to-text service to convert generated commentary into real-time audio.</li>
</ul>
<h2 id="user-interface">User Interface</h2>
<ul>
<li><strong>Streamlit:</strong> Building the user interface with Streamlit, displaying real-time commentary, statistics, and insights in an intuitive format.</li>
</ul>
<h2 id="accessibility-and-inclusion">Accessibility and Inclusion</h2>
<ul>
<li><strong>Accessibility for Fans with Disabilities:</strong> Providing detailed play-by-play, statistics, and text-to-speech functionality for visually impaired fans.</li>
<li><strong>Bridging the Financial Gap:</strong> Offering subsidized and flexible payment structures for fans with financial constraints.</li>
</ul>
<h2 id="future-enhancements">Future Enhancements</h2>
<ul>
<li><strong>Multilingual Support:</strong> Planning to expand commentary to support multiple languages.</li>
<li><strong>User Preferences:</strong> Enabling customization of commentary based on user's favorite team or player.</li>
<li><strong>Predictive Analysis:</strong> Implementing advanced algorithms for game predictions and insights.</li>
<li><strong>Integration with Smart Devices:</strong> Developing applications for smart speakers and voice-controlled devices.</li>
<li><strong>Real-time Visualizations:</strong> Incorporating graphs and visualizations to supplement the commentary.</li>
</ul>
<h2 id="conclusion">Conclusion</h2>
<p>The NBA Live Commentary Generator is a groundbreaking project that enhances the fan experience with real-time, dynamic commentary. Our integration of advanced APIs, data management strategies, audio technology, and an intuitive user interface create a comprehensive solution for sports fans. We are committed to making sports commentary more inclusive and dynamic. Join us in transforming the way fans experience NBA games with our state-of-the-art commentary generator powered by GPT-4.0!</p>

	</div>
	<hr class="post-end">
	<footer class="post-info">
    
    <p><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-file-text"><path d="M14 2H6a2 2 0 0 0-2 2v16a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V8z"></path><polyline points="14 2 14 8 20 8"></polyline><line x1="16" y1="13" x2="8" y2="13"></line><line x1="16" y1="17" x2="8" y2="17"></line><polyline points="10 9 9 9 8 9"></polyline></svg>349 Words</p>
    
    <p><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-calendar"><rect x="3" y="4" width="18" height="18" rx="2" ry="2"></rect><line x1="16" y1="2" x2="16" y2="6"></line><line x1="8" y1="2" x2="8" y2="6"></line><line x1="3" y1="10" x2="21" y2="10"></line></svg>2023-10-16</p>
    
	</footer>
  </article>
    
  
  <div class="post-nav thin">
	
	
  </div>

  
</main>

	  </div>
	  
	  



<footer id="site-footer" class="section-inner thin animated fadeIn faster">
  <p>&copy; 2024 <a href="https:&#x2F;&#x2F;static-website-week1-fj49-fj49-d21349748027f6102aaf961ffe76bdc0.gitlab.io">Faraz Jawed</a> &#183; <a href="https://creativecommons.org/licenses/by-nc/4.0/" target="_blank" rel="noopener">CC BY-NC 4.0</a></p>
  <p>Made with <a href="https://www.getzola.org" target="_blank" rel="noopener">Zola</a> &#183; Theme <a href="https://github.com/VersBinarii/hermit_zola" target="_blank" rel="noopener">Hermit_Zola</a>
	
  </p>
</footer>




	</div>
	
	<script src="https://static-website-week1-fj49-fj49-d21349748027f6102aaf961ffe76bdc0.gitlab.io/js/main.js"></script>

	<!-- Math rendering -->
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/katex@0.11.1/dist/katex.min.css" integrity="sha384-zB1R0rpPzHqg7Kpt0Aljp8JPLqbXI3bhnPWROx27a9N0Ll6ZP/+DiW/UqRcLbRjq" crossorigin="anonymous">
    <script defer src="https://cdn.jsdelivr.net/npm/katex@0.11.1/dist/katex.min.js" integrity="sha384-y23I5Q6l+B6vatafAwxRu/0oK/79VlbSz7Q9aiSZUvyWYIYsd+qj+o24G5ZU2zJz" crossorigin="anonymous"></script>
    <script defer src="https://cdn.jsdelivr.net/npm/katex@0.11.1/dist/contrib/auto-render.min.js" integrity="sha384-kWPLUVMOks5AQFrykwIup5lo0m3iMkkHrD0uJ4H5cjeGihAutqP0yW0J6dpFiVkI" crossorigin="anonymous"
        onload="renderMathInElement(document.body, { delimiters: [ {left: '$$', right: '$$', display: true}, {left: '$', right: '$', display: false}, {left: '\\[', right: '\\]', display: true}, {left: '\\(', right: '\\)', display: false}]});"></script>

    
		<link href="https://unpkg.com/highlightjs-badge/highlightjs/styles/vs2015.css" rel="stylesheet">
		<!-- https://cdn.jsdelivr.net/gh/highlightjs/cdn-release@10.1.1/build/styles/  for min version -->
		<script src="https://unpkg.com/highlightjs-badge/highlightjs/highlight.pack.js"></script>
		<script src="https://unpkg.com/highlightjs-badge/highlightjs-badge.min.js"></script>
		<script>
			var pres = document.querySelectorAll("pre>code");
			for (var i = 0; i < pres.length; i++) {
				hljs.highlightBlock(pres[i]);
			}
		</script>
		
			<script src="https://cdnjs.cloudflare.com/ajax/libs/clipboard.js/2.0.6/clipboard.min.js"></script>
			<script>
				var options = {
					copyIconClass: "gg-clipboard",
					checkIconClass: "gg-check"
				};
				window.highlightJsBadge(options);
			</script>
		

	

	
	<script src="https://static-website-week1-fj49-fj49-d21349748027f6102aaf961ffe76bdc0.gitlab.io/js/main.js"></script>

    
    

	
  </body>
</html>
